[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'idea' (#fcl)

# EnKeyIdea

Create an IDEA encryption key from a user key.

## Declaration

Source position: idea.pp line 67

`procedure EnKeyIdea(`
`UserKey: TIdeaCryptKey;`
`var z: TIDEAKey`
`);`

## Arguments

`UserKey` |  | User-supplied data to generate key from
`z` |  | 64-bit Encryption key.

## Description

EnKeyIdea creates an IDEA encryption key from user-supplied data in UserKey. The Encryption key is stored in z.

## Errors

None.

## See also

DeKeyIdea |  | Create a decryption key from an encryption key.
CipherIdea |  | Encrypt or decrypt a buffer.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.